Stats (Lucene 10.5.1 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene90.blocktree, class: Stats

Package org.apache.lucene.backward_codecs.lucene90.blocktree

# Class Stats

java.lang.Object
org.apache.lucene.backward_codecs.lucene90.blocktree.Stats

public class Stats extends Object
BlockTree statistics for a single field returned by `FieldReader.getStats()`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `blockCountByPrefixLen`
  Number of blocks at each prefix depth.
  `final long[]`
  `compressionAlgorithms`
  Number of times each compression method has been used.
  `final String`
  `field`
  Field name.
  `int`
  `floorBlockCount`
  The number of floor blocks (meta-blocks larger than the allowed `maxItemsPerBlock`) in the terms file.
  `int`
  `floorSubBlockCount`
  The number of sub-blocks within the floor blocks.
  `long`
  `indexNumBytes`
  Byte size of the index.
  `int`
  `mixedBlockCount`
  The number of "internal" blocks (that have both terms and sub-blocks).
  `int`
  `nonFloorBlockCount`
  The number of normal (non-floor) blocks in the terms file.
  `final String`
  `segment`
  Segment name.
  `int`
  `subBlocksOnlyBlockCount`
  The number of "internal" blocks that do not contain terms (have only sub-blocks).
  `int`
  `termsOnlyBlockCount`
  The number of "leaf" blocks (blocks that have only terms).
  `int`
  `totalBlockCount`
  Total number of blocks.
  `long`
  `totalBlockOtherBytes`
  Total bytes stored by the `PostingsReaderBase`, plus the other few vInts stored in the frame.
  `long`
  `totalBlockStatsBytes`
  Total number of bytes used to store term stats (not including what the `PostingsReaderBase` stores).
  `long`
  `totalBlockSuffixBytes`
  Total number of bytes used to store term suffixes.
  `long`
  `totalTermBytes`
  Total number of bytes (sum of term lengths) across all terms in the field.
  `long`
  `totalTermCount`
  Total number of terms in the field.
  `long`
  `totalUncompressedBlockSuffixBytes`
  Total number of suffix bytes before compression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### indexNumBytes

    public long indexNumBytes
    Byte size of the index.

  - ### totalTermCount

    public long totalTermCount
    Total number of terms in the field.

  - ### totalTermBytes

    public long totalTermBytes
    Total number of bytes (sum of term lengths) across all terms in the field.

  - ### nonFloorBlockCount

    public int nonFloorBlockCount
    The number of normal (non-floor) blocks in the terms file.

  - ### floorBlockCount

    public int floorBlockCount
    The number of floor blocks (meta-blocks larger than the allowed `maxItemsPerBlock`) in the terms file.

  - ### floorSubBlockCount

    public int floorSubBlockCount
    The number of sub-blocks within the floor blocks.

  - ### mixedBlockCount

    public int mixedBlockCount
    The number of "internal" blocks (that have both terms and sub-blocks).

  - ### termsOnlyBlockCount

    public int termsOnlyBlockCount
    The number of "leaf" blocks (blocks that have only terms).

  - ### subBlocksOnlyBlockCount

    public int subBlocksOnlyBlockCount
    The number of "internal" blocks that do not contain terms (have only sub-blocks).

  - ### totalBlockCount

    public int totalBlockCount
    Total number of blocks.

  - ### blockCountByPrefixLen

    public int[] blockCountByPrefixLen
    Number of blocks at each prefix depth.

  - ### totalBlockSuffixBytes

    public long totalBlockSuffixBytes
    Total number of bytes used to store term suffixes.

  - ### compressionAlgorithms

    public final long[] compressionAlgorithms
    Number of times each compression method has been used. 0 = uncompressed 1 = lowercase_ascii 2 = LZ4

  - ### totalUncompressedBlockSuffixBytes

    public long totalUncompressedBlockSuffixBytes
    Total number of suffix bytes before compression.

  - ### totalBlockStatsBytes

    public long totalBlockStatsBytes
    Total number of bytes used to store term stats (not including what the `PostingsReaderBase` stores).

  - ### totalBlockOtherBytes

    public long totalBlockOtherBytes
    Total bytes stored by the `PostingsReaderBase`, plus the other few vInts stored in the frame.

  - ### segment

    public final String segment
    Segment name.

  - ### field

    public final String field
    Field name.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`